Galaxietool Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000726Galaxietool(No Category)public2013-08-24 16:362013-09-01 15:02
Reportermaxx1985 
Assigned ToeX0du5 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version5.0.2 
Target VersionFixed in Version5.0.2 
Summary0000726: Update stuck on validate process
DescriptionI've to update my galaxytool from 4.9.2 to 5.0.2
as described i've overwritten evrithing on my server with the content of the new package (except config dir)

iv'e started update.php, and in the second sep i've selected the right version of the old plugin and i've insered my uneverse url http://uni1.ogame.it/ [^]

Now, when i click the button, nothing happen, and no errors are displayed
I've tryed the same operetion on my local server and it works the same.

I work on a dedicated ubuntu server wich is running fine other istances of galaxytool 5, now, what i've to do to update the system?
Thanks a lot
Steps To ReproduceOpen update,php
on the second screen set:
4.9.2
http://uni1.ogame.it/ [^]

click 'convalida' / 'chek'
and NOTHING happens
TagsNo tags attached.
Browser and Browser VersionTrued lastest chrome/firefox/IE
HosterDedicated linux server
MySQL VersionVersione del server: 5.5.31-0ubuntu0.12.04.1 - (Ubuntu)
PHP VersionPHP Version 5.3.10-1ubuntu3.7
rev
Attached Filespng file icon imggalaxx.png [^] (319,883 bytes) 2013-08-24 16:36
png file icon error.png [^] (50,940 bytes) 2013-08-25 19:26


png file icon error page 3.png [^] (44,851 bytes) 2013-09-01 10:41


? file icon ajax_update.php [^] (9,836 bytes) 2013-09-01 13:44

- Relationships

-  Notes
(0001670)
eX0du5 (manager)
2013-08-25 18:17

Please open firebug oder other developer tools (like F12 in chrome) and start the procudure again. Check the console log entries and also the server requests which are performed once you click the button. I assume there is an error on the server side which is not handled properly.
Please paste the error information here and I will check how to solve this.
(0001671)
maxx1985 (reporter)
2013-08-25 19:26

I've uploaded the errors
It's an error of the dojo extension ?
(0001677)
eX0du5 (manager)
2013-08-30 19:56

Once you hit the button, the console should show a request for "secret/ajax/ajax_update.php?step=2". Can you please show the response of that request? You can see it if you click on the link in the console for the request.
I assume the response is buggy and that causes a JavaScript exception.
(0001679)
eX0du5 (manager)
2013-09-01 11:48

The server returns no value - which is not the expected result It should be either content for the tool settings or an error message.
I assume the server removes all kind of php errors that may occur. For this, I adjusted the ajax_update.php file which is called when the button is pressed to produce more output.
The update script will not work with that file, but it may help to figure out what goes wrong here.
Please upload the file which I will add in a minute and replace the existing file in secret/ajax/ajax_update.php.
Make a backup of the original file for later, or download it from the wiki page again.
(0001681)
eX0du5 (manager)
2013-09-01 13:26

I don't have skype but I am available in IRC. You can use the link from our board to reach me. http://board.galaxytool.eu/index.php [^]
The error message indicates a problem with the session handling.
I am wondering where this might come from. If you could join the chat this might help as we could try out changes in real time.
(0001683)
eX0du5 (manager)
2013-09-01 15:02

This was a bug in ajax_update.php which is now fixed in Version 5.0.2.

- Issue History
Date Modified Username Field Change
2013-08-24 16:36 maxx1985 New Issue
2013-08-24 16:36 maxx1985 File Added: imggalaxx.png
2013-08-25 18:17 eX0du5 Note Added: 0001670
2013-08-25 18:17 eX0du5 Assigned To => eX0du5
2013-08-25 18:17 eX0du5 Status new => feedback
2013-08-25 19:26 maxx1985 File Added: error.png
2013-08-25 19:26 maxx1985 Note Added: 0001671
2013-08-25 19:26 maxx1985 Status feedback => assigned
2013-08-30 19:56 eX0du5 Note Added: 0001677
2013-08-30 19:56 eX0du5 Status assigned => feedback
2013-09-01 10:41 maxx1985 File Added: error page 3.png
2013-09-01 10:43 maxx1985 Status feedback => assigned
2013-09-01 11:48 eX0du5 Note Added: 0001679
2013-09-01 11:48 eX0du5 Status assigned => feedback
2013-09-01 11:49 eX0du5 File Added: ajax_update.php
2013-09-01 12:22 maxx1985 File Added: ttyrt.png
2013-09-01 12:25 maxx1985 Status feedback => assigned
2013-09-01 13:26 eX0du5 Note Added: 0001681
2013-09-01 13:26 eX0du5 Status assigned => feedback
2013-09-01 13:30 eX0du5 Note Added: 0001682
2013-09-01 13:31 eX0du5 Note Deleted: 0001682
2013-09-01 13:36 eX0du5 File Deleted: ajax_update.php
2013-09-01 13:36 eX0du5 File Added: ajax_update.php
2013-09-01 13:36 eX0du5 File Deleted: ttyrt.png
2013-09-01 13:44 eX0du5 File Deleted: ajax_update.php
2013-09-01 13:44 eX0du5 File Added: ajax_update.php
2013-09-01 15:02 eX0du5 Note Added: 0001683
2013-09-01 15:02 eX0du5 Status feedback => resolved
2013-09-01 15:02 eX0du5 Fixed in Version => 5.0.2
2013-09-01 15:02 eX0du5 Resolution open => fixed



Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker